%
%	MAXLAG.M
%
%	This function computes the nq local maxima of a vector f. The values
%  and locations of these maxima are stored in vector vm and vector ix.
%
%	Miguel A. Lagunas		February 1996
%
%............................................................................
function [vm,ix]=maxlag(f,nq);
pf=abs(f);pf=pf-(min(pf)+2)*ones(1,length(pf));
[auso,buso]=max(pf);vm(1)=auso;ix(1)=buso;nn=length(pf);pf(buso)=min(pf);
dpf=diff(pf);dpf(nn)=max(dpf);ddpf=dpf./pf;
if nq>1;
  for i=2:nq;
    ind=1;
    while ind>0;
      [auso,buso]=min(abs(ddpf));
      if dpf(buso+1)-dpf(buso)<0;
        ind=0;vm(i)=pf(buso);ix(i)=buso;ddpf(buso)=max(ddpf);
      else;
        ddpf(buso)=max(ddpf);
      end;
    end;
  end;
end;clear auso buso pf nn dpf;
%____________________________________________________________________________